Главная‎ > ‎

Настройка Ubuntu 10.04 LTS + NVIDIA/ION 'с нуля'

website statistics

Оглавление

  1. 1 Первоначальные настройки:
    1. 1.1 Разрешить учетную запись root
    2. 1.2 Доустановить нужное
      1. 1.2.1 из репозиториев
      2. 1.2.2 отдельно, из пакетов припиетарное ПО
      3. 1.2.3 Обновить репозитории и зависимости
  2. 2 Установка драйверов на видеокарту NVIDIA GeForce / ION с поддержкой VDPAU:
    1. 2.1 Установка драйверa
    2. 2.2 Ошибка ACPI
    3. 2.3 Изменение шрифта в консоли
      1. 2.3.1 Редактируем параметры Grub2
      2. 2.3.2 Удалим уже ненужный пакет 'xserver-xorg-video-nouveau'
      3. 2.3.3 Установим необходимые пакеты
      4. 2.3.4 Удалим модуль nouveau и установим драйвер NVIDIA (если ещё не установлен)
      5. 2.3.5 Редактируем '/etc/initramfs-tools/modules'
      6. 2.3.6 И последний штрих
  3. 3 Регулировка скорости вентиляторов
  4. 4 Установка сетевого принтера Brother HL-2070NR (cups-драйвер)
    1. 4.1 Скачать и установить cups-драйвер для этой модели
      1. 4.1.1 подготовительные операции:
      2. 4.1.2 загрузка и установка драйвера cups
      3. 4.1.3 проверка установки
    2. 4.2 Установка собственно принтера:
  5. 5 Установка XBMC
    1. 5.1 Как приложения из репозитория Team XBMC distribution packages
    2. 5.2 Как самостоятельного shell из репозитория Team XBMC distribution packages
    3. 5.3 Доустановка библиотек VDPAU
  6. 6 Установка WiMAX
    1. 6.1 Настройки ядра (kernel):
    2. 6.2 Cкачать необходимое ПО
    3. 6.3 Установка:
      1. 6.3.1 Установка модуля ядра wimax-compat
      2. 6.3.2 Установка wimax tools
      3. 6.3.3 Доустановка Glib  и Gettext пакетов
      4. 6.3.4 Вторая попытка установки wimax-tools. Возвращаемся к п.2a
    4. 6.4 Установка WPA Supplicant
    5. 6.5 Установка WiMAX network service
    6. 6.6 Обновление и патч firmware карты Intel 5x50
    7. 6.7 Последний штрих
      1. 6.7.1 Intel WiMAX Network Service daemon:
      2. 6.7.2 Intel WiMAX Connection Utility
    8. 6.8 Замечание


Первоначальные настройки:

Разрешить учетную запись root

Перейти в консоль: Ctrl+Alt+F1. Установить (разрешить, без пароля root запрещен):

$ sudo su

и назначить пароль root:

# passwd [новый пароль]


Доустановить нужное

из репозиториев

$ sudo apt-get install mc - а как же без него?
$ sudo apt-get install mumble - голосовой обмен по VoIP
$ sudo apt-get install htop - удобный и наглядный монитор ресурсов
$ sudo apt-get install hwinfo - что-то типа консольного Everest, можно увидеть серийные номера оборудования
$ sudo apt-get install mpg321 - консольный mp3-плеер

можно и так:

$ sudo apt-get install mc mumble htop hwinfo mpg321

отдельно, из пакетов припиетарное ПО

TeamViewer  (http://www.teamviewer.com/ru/download/index.aspx) :
$ wget http://www.teamviewer.com/download/teamviewer_linux.deb && sudo dpkg -i teamviewer_linux.deb

Skype для Ubuntu 8.10+ 32bit v2.1beta (http://www.skype.com/go/getskype-linux-beta-ubuntu-32):
$ wget http://download.skype.com/linux/skype-ubuntu-intrepid_2.1.0.81-1_i386.deb && sudo dpkg -i skype-ubuntu-intrepid_2.1.0.81-1_i386.deb

Обновить репозитории и зависимости

$ sudo apt-get update && sudo apt-get upgrade



Установка драйверов на видеокарту NVIDIA GeForce / ION с поддержкой VDPAU:

Установка драйверa

ВНИМАНИЕ: драйвер последней версии 260.хх имеет необъяснимые глюки в работе с VDPAU, поэтому рекомендуется воспользоваться стабильным и корректно работающим драйвером версии 256.хх.

$ sudo /etc/init.d/gdm stop
$ wget ftp://download.nvidia.com/XFree86/Linux-x86/256.53/NVIDIA-Linux-x86-256.53.run
$ sudo sh NVIDIA-Linux-x86-256.53.run
$ sudo /etc/init.d/gdm start

ВНИМАНИЕ: в процессе установки следует выбрать "автоматически запустить nvidia-xconfig" чтобы сформировать файл установок для программы настройки параметров nvidia-settings. Иначе после установки драйвера надо создать файл конфигурации, надо в консоли дать команду 'sudo nvidia-xconfig' и рестартануть иксы (gnome) командой 'sudo /etc/init.d/gdm restart'

Справка по установке: ftp://download.nvidia.com/XFree86/Linux-x86/256.53/README/index.html

Ошибка ACPI

При старте системы, до GUI, проскакивают вот такие строки:

ACPI: I/O resource nForce2_smbus conflicts with ACPI region SM00
ACPI: I/O resource nForce2_smbus [0x700-0x73f] conflicts with ACPI region SM00 [0x700-0x73f]

Зарегистрирован bugreport.

Как побороть проблему:

$ sudo gedit /etc/default/grub

найти строку:

    GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

и дописать:   'acpi_enforce_resources=lax' , то сть строчка приобретет такой вид:

    GRUB_CMDLINE_LINUX_DEFAULT="acpi_enforce_resources=lax quiet splash"

затем обновить конфигурацию груба:

$ sudo update-grub

reference: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/440780



Изменение шрифта в консоли

Взято отсюда: http://dvoice.ru/blog/golinux/62.html

Редактируем параметры Grub2

$ sudo nano /etc/default/grub

Ищем строку:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"  ; (для быстрого поиска - ^w) меняем ее на:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset video=uvesafb:mode_option=1280x800-24,mtrr=3,scroll=ywrap"
то есть добавляем в эту строку параметр:
'nomodeset video=uvesafb:mode_option=1280x800-24,mtrr=3,scroll=ywrap'

Ищем строку:
#GRUB_GFXMODE=640x480
Раскомментируем ее и вписывает желаемое разрешение для своего монитора. Например: GRUB_GFXMODE=1280x800
Сохраняем, выходим.

Далее:
 
$ sudo nano /etc/grub.d/00_header

Ищем строку: 'set gfxmode=${GRUB_GFXMODE}' и сразу под ней вписываем: 'set gfxpayload=keep'
Должно получится примерно так:
...
set gfxmode=${GRUB_GFXMODE}
set gfxpayload=keep
...
сохраняем, выходим

Обновим параметры запуска груба:

$ sudo update-grub

Удалим уже ненужный пакет 'xserver-xorg-video-nouveau'

$ sudo apt-get remove xserver-xorg-video-nouveau

Поскольку пакет libdrm-nouveau1, который тоже следут удалить, тянет за собой все иксы, заносим модуль nouveau в блеклист чтоб он не мешал нам установить драйвер NVIDIA:

$ sudo nano /etc/modprobe.d/blacklist.conf

и в конец текста вписываем: 'blacklist nouveau' - сохраняем, выходим.

Установим необходимые пакеты

$ sudo apt-get install binutils gcc v86d hwinfo

Удалим модуль nouveau и установим драйвер NVIDIA (если ещё не установлен)

$ sudo rmmod nouveau
$ sudo sh /путь/до/драйвера/Nvidia...run

Редактируем '/etc/initramfs-tools/modules'

$ sudo nano /etc/initramfs-tools/modules

добавляем строку:
'uvesafb mode_option=1280x800-24 mtrr=3 scroll=ywrap' , сохраняем, выходим.

далее даем команду:

$ echo FRAMEBUFFER=y | sudo tee /etc/initramfs-tools/conf.d/splash

И последний штрих

$ sudo update-initramfs -u

Перегружаемся и радуемся.

P.S: если у вас уже установлен проприеатарный драйвер NVIDIA, то устанавливать его заново необязательно. Просто пропускаем пункт 4.
P.P.S: А у автора, как он пишет, отлично все работает на 1680х1050.



Регулировка скорости вентиляторов

Взято в основном отсюда: https://wiki.archlinux.org/index.php/Fan_Speed_Control_%28%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9%29
ПРЕДУПРЕЖДЕНИЕ: Вы можете повредить ваше оборудование. Вентилятор на процессоре необходим для его охлаждения, а в процессе выполнения этого howto он будет выключен на пару секунд. Если вам не хочется этого делать - не делайте!

lm-sensors (обычно должна быть уже установлена)
$ sensors (выведет списоксостояний всех сенсоров); настройки в /etc/sensors.conf
$ pwmconfig (конфигурация поддерживаемых регуляторов); настройки в /etc/fancontrol.

Другой тюнинг энергосбережения:
- внизу справа на панели задач установить Системный монитор;
- изучить вот это: http://axa-ru.blogspot.com/2009/08/tuning-linux-for-powersave.html (уже немного устарело, но к сведению принять можно)

Примечание: на Lenovo IdeaPad S12 поуправлять вентиляторами не удалось. В системе видны только 2 термодатчика на виртуальном сенсоре. См. ошибку ACPI в разделе "Установка NVIDIA"



Установка сетевого принтера Brother HL-2070NR (cups-драйвер)

страница загрузки:
http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/instruction_prn1a.html
инструкция по установке:
http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/instruction_prn1a.html

Скачать и установить cups-драйвер для этой модели

подготовительные операции:

Удаление старых файлов настроек (если необходимо почистить от предыдущих попыток):

# rmdir -v --ignore-fail-on-non-empty /usr/share/cups/model
# rmdir -v --ignore-fail-on-non-empty /usr/local/Brother/inf

Иногда почему-то не удаляется через sudo, приходится переходить в root через sudo mc и удалять вручную.

Cоздание необходимых папок, которые по каким-то неведомым причинам не создаются инсталлятором (выяснено опытным путем)

$ sudo mkdir /usr/share/cups/model
$ sudo mkdir /usr/local/Brother/inf
$ sudo mkdir /usr/local/Brother/inf/brHL2070Nrc

загрузка и установка драйвера cups

$ wget http://www.brother.com/pub/bsc/linux/dlf/cupswrapperHL2070N-2.0.1-2.i386.deb
$ sudo dpkg i --force-all cupswrapperHL2070N-2.0.1-2.i386.deb

проверка установки

$ dpkg -l | grep Brother

Установка собственно принтера:

  1. Запустить менеджер пакетов Synapsis
  2. Произвести поиск доступных пакетов по слову Brother
  3. Просмотреть, где упоминается HL-2070N
  4. Выбрать, применить.
  5. Система - Администрирование - Печать - Добавить принтер - Поиск сетевого принтера.
Лучше будет ввести не имя, а IP-адрес принтера в сети, будет он быстрее работать.
Установить. Распечатать тестовую страницу для проверки.
Настройки принтера можно изменить здесь же, выбрав Свойства. Также настройки, очередь и другие параметры можно увидеть по адресу cups: http://localhost:631/printers



Установка XBMC

You do not need to add the XBMC Repo nor the PPA Keys. XBMC is already installed. To have content, go to Adding the XBMC SVN Repo Installer (not to be confused with XBMC Repo below).

Как приложения из репозитория Team XBMC distribution packages

для Ubuntu 9.10 и свежее:

$ sudo add-apt-repository ppa:team-xbmc
$ sudo apt-get update
$ sudo apt-get install xbmc
$ sudo apt-get update

Как самостоятельного shell из репозитория Team XBMC distribution packages

для Ubuntu 9.10 и свежее:

$ sudo apt-get install python-software-properties pkg-config
$ sudo add-apt-repository ppa:team-xbmc
$ sudo apt-get update
$ sudo apt-get install xbmc xbmc-standalone
$ sudo apt-get update


If you get an error message like xbmc: Depends: xbmc-data (= 2:10.00~svn35648-lucid1) but it is not going to be installed E: Broken packages while doing this, please enable multiverse and multiverse repositores in /etc/apt/sources.list, or go to the System menu, then Administration, then Software Sources and check the "Community-maintained open Source software (universe)" and "Software restricted by copyright or legal issues (multiverse)" checkboxes and apply the changes.

Доустановка библиотек VDPAU

Для работоспособности NVidia hardware acceleration (VDPAU) в Ubuntu 10.04, особенно для правильной работы VDPAU в XBMC, необходимо установить следующие пакеты:

$ sudo apt-get install libvdpau1 nvidia-185-libvdpau



Установка WiMAX

Взято отсюда: http://icelord.net/wordpress/archives/2259 автор: Icelord

СПРАВКА:
Исходники с уже созданными командой
make бинарниками перемещать нежелательно, могут быть проблемы остутствия каких-то компонентов, так как какие-то исходники были впоследствии перемещены. Поэтому лучше все исходники сразу распаковывать в /usr/src/, а если проблема таки возникла, то:

$ sudo make uninstall        - деинсталлировать собранные пакеты
$ sudo make clean                - удалить всё созданное, оставить только исходники.

Итак:

Настройки ядра (kernel):

Начиная с версии 2.6.26, драйвер, поддерживающий карты Intel5150/5350/6250, находится в основной ветке ядра. Как включить поддержку WiMAX модуля в ядре:  

подготовка - устанавливаем ncurses-dev (он необходим для конфигурирования ядра):

$ sudo cd \usr\src\linux-kernel-2.6.32-27\
$ sudo apt-get install ncurses-dev

настройка - настраиваем параметры ядра:

$ sudo make menuconfig

а. Поддержка стека WiMax:

     Networking support -->
        <M> WiMAX Wireless Broadband support

б. Для подержки карты на PCI шине, необходимо включить следующие:

     Device Drivers
        <M> MMC/SD/SDIO card support  --->

Внтури раздела MMC ничего включать ненадо, кроме поддержки отладочной
информации, если конечно Вам нужно.

с. Выбор драйвера - PCI (он же SDIO) и/или USB:

    Device Drivers -->
        [*] Network device support  --->
            WiMAX Wireless Broadband devices  --->
                <M> Intel Wireless WiMAX Connection 2400 over USB (including 5x50)
                <M> Intel Wireless WiMAX Connection 2400 over SDIO
                (8) WiMAX i2400m debug level

Всё. Поддержку карты в ядре мы включили.

Cкачать необходимое ПО

Создать в /usr/src каталог wimax.

i2400m firmware v1.5.0:
http://linuxwimax.org/Download?action=AttachFile&do=get&target=i2400m-fw-1.5.0.tar.bz2
WiMAX Tools v1.4.4
http://linuxwimax.org/Download?action=AttachFile&do=get&target=wimax-tools-1.4.4.tar.gz
WiMAX Network Service v1.5.1
http://linuxwimax.org/Download?action=AttachFile&do=get&target=wimax-1.5.1.tar.gz
WPA Supplicant 0.7.x patch v1.5.1
http://linuxwimax.org/Download?action=AttachFile&do=get&target=wpa_supplicant-0.7.2-generate-libeap-peer.patch

и положить это добро в /usr/src/wimax.


Установка:

WiMAX 1.5 @ Ubuntu 10.04 with Intel 5150/5350/6250
Оригинальная инструкция по установке Wimax 1.5 стека требует переустановки ядра на 2.6.35 (это нативное ядро Ubuntu 10.10). Этого делать не хочется.
Здесь же рассматривается установка на родное убунтовское 2.6.32-* (для Ubuntu 10.04 LTS)

Установка модуля ядра wimax-compat

Внимание: Возможно, на этом этапе понадобится установить Git (произн. «гит»[1]) — распределённая система управления версиями файлов.)

$ sudo apt-get install git

Итак:

$ cd /usr/src/
$ sudo git clone  git://git.kernel.org/pub/scm/linux/kernel/git/inaky/compat-wimax.git
$ cd compat-wimax
$ sudo make
$ sudo make modules_install
$ sudo depmod -a

в текущей версии compat есть ошибка, котора лечится или грязным хаком (пункт 6.6) или патчем.

Установка wimax tools

скачать последний wimax-tools: version 1.4.4 отсюда: http://linuxwimax.org/Download
я создал в Загрузках папку wimax и переместил её в /usr/src/ чтоб больше не искать.
$ cd /usr/src/wimax
$ tar xf wimax-tools-1.4.4.tar.gz
$ cd wimax-tools-1.4.4
$ ./configure --with-linux=/usr/src/compat-wimax  ; ( =полный путь до compat-wimax из шага 1)

-- на этом шаге требуется доставить Glib не ниже 2.1.4, потому что:

# ./configure --with-linux=/usr/src/compat-wimax
...
checking for GLIB... no
configure: error: GLib >= 2.14 is required
...

А установка Glib оканчивается такой ошибкой:

# ./configure --prefix=/usr && make && make install
...
checking for msgfmt... no
configure: error:
*** You must have either have gettext support in your C library, or use the
*** GNU gettext library. (http://www.gnu.org/software/gettext/gettext.html)
...

Доустановка Glib  и Gettext пакетов

Скачать glib-2.26.1 отсюда: http://ftp.gnome.org/pub/gnome/sources/glib/2.26/glib-2.26.1.tar.gz, последний gettext отсюда: http://ftp.gnu.org/pub/gnu/gettext/gettext-0.18.1.1.tar.gz и переместил оба файла в /usr/src/wimax

вот тут я применил подсказку из http://ubuntologia.ru/forum/viewtopic.php?f=34&t=4112&start=10#p37428 просто выполнив эту команду :

$ sudo apt-get update && sudo apt-get install build-essential libnl1 libnl-dev libglobus-openssl-dev libglobus-openssl libssl-dev libssl0.9.8

одним махом доставилось всё, что было необходимо и не хватало.

Сборка Gettext:

# cd /usr/src/wimax/
# tar xf gettext-0.18.1.1.tar.gz
# cd gettext-0.18.1.1
# ./configure && make && make install

- завершено без ошибок

Сборка Glib:

# cd -
# tar xf glib-2.26.1.tar.gz
# cd glib-2.26.1
# ./configure --prefix=/usr && make && make install  -- ошибка!
 
Тут выполнил:

# apt-get update && apt-get upgrade

в результате на систему поставился Dbus какой-то (упоминался ссылкой выше)

запустил компиляцию так (как рекомендовано в референсном  http://library.gnome.org/devel/glib/unstable/glib-building.html ) :

# ./configure
# make
# make install

- завершено без ошибок

Вторая попытка установки wimax-tools. Возвращаемся к п.2a

# cd /usr/src/wimax/wimax-tools-1.4.4
# ./configure --with-linux=/usr/src/compat-wimax
# make
# make install

- завершено без ошибок

Установка WPA Supplicant

http://hostap.epitest.fi/   (что это такое )

WiMAX opensource supplicant: building the libeap.so library

Для сборки поддержки WPA из open source исходников необходимо применить патч и пересобрать пакет. Необходимо скачать wpa-supplicant 0.7.3 из http://hostap.epitest.fi/, понадобится установленный OpenSSL development packages (openssl-devel и openssl-dev уже существует во многих дистрибутивах). Итак:

# cd /usr/src/wimax
# wget http://hostap.epitest.fi/releases/wpa_supplicant-0.7.3.tar.gz
# tar xf wpa_supplicant-0.7.3.tar.gz
# cd wpa_supplicant-0.7.3

Скопировать в эту же папку патч 'wpa_supplicant-0.7.2-generate-libeap-peer.patch' , скачанный отсюда http://linuxwimax.org/Download и запустить патч прямо в каталоге /wpa_supplicant-0.7.3 :

# patch -p1 < wpa_supplicant-0.7.2-generate-libeap-peer.patch

должно получиться что-типа этого:
...
patching file src/eap_peer/Makefile
patching file src/eap_peer/eap_methods.c
patching file src/eap_peer/eap_methods.h
patching file src/eap_peer/libeap0.pc
...

# make -C src/eap_peer                   ; должно быть без ошибок
# make -C src/eap_peer install     ; очень быстро!
# ldconfig                                              ; очень быстро, просто мгновенно!

Установка WiMAX network service

Брать тоже отсюда http://linuxwimax.org/Download

# cd /usr/src/wimax
# wget "http://linuxwimax.org/Download?action=AttachFile&do=get&target=wimax-1.5.tar.gz"
# mv "Download?action=AttachFile&do=get&target=wimax-1.5.tar.gz" wimax-1.5.tar.gz
# tar xf wimax-1.5.1.tar.gz
# cd wimax-1.5.1
# ./configure --prefix=/usr --with-linux=/usr/src/compat-wimax --with-libwimaxll=/usr/local
# make
# make install

- завершено без ошибок

Обновление и патч firmware карты Intel 5x50

Скачать и установить обновление firmware для Intel 5150/5350/6250 http://linuxwimax.org/Download

# tar xf i2400m-fw-1.5.0.tar.bz2
# install -o root -g root -m 0644 i2400m-fw-1.5.0/*.sbcf /lib/firmware

5.1 при использовании wimax-compat для Intel 5150 и 5350 требуется один дополнительный шаг:

# mv /lib/firmware/i2400m-fw-usb-1.4.sbcf /lib/firmware/i2400m-fw-usb-1.4.old
# cp /lib/firmware/i2400m-fw-usb-1.5.sbcf /lib/firmware/i2400m-fw-usb-1.4.sbcf

(грязный-грязный хак...)

$ dmesg | grep i2400m_usb
[   21.090726] i2400m_usb 2-3:1.0: WiMAX interface wmx0 (00:1d:e1:xx:xx:xx) ready
[   21.090850] i2400m_usb 2-3:1.0: firmware: requesting i2400m-fw-usb-1.4.sbcf
[   23.850384] i2400m_usb 2-3:1.0: firmware interface version 9.3.2
[   23.860334] usbcore: registered new interface driver i2400m_usb

Последний штрих

дальше все как обычно, перегрузиться и:

Intel WiMAX Network Service daemon:

DESCRIPTION: wimaxd - Intel WiMAX Network Service daemon.

# wimaxd -b                                         ; force working in background and become a daemon

Intel WiMAX Connection Utility

Для начала работы с COMSTAR WiMAX необходимо выполнить:

# wimaxcu pon
# wimaxcu scan wide
# wimaxcu connect network 41

Для того, чтобы отключить WiMAX и перейти на Wi-Fi необходимо дать команду

# wimaxcu dconnect  

Для того, чтобы включить обратно, дать команду

# wimaxcu connect network 41


Об утилите Intel WiMAX Connection
      

DESCRIPTION: wimaxcu  is a connection utilty for Intel WiMAX adapter. It provides the basic features such as connect, disconnect, scan the available WiMAX networks and also the radio management. It also provides the status of the WiMAX connection and information about the Intel WiMAX Application  Server which is the core of Intel WiMAX network stack and the Intel WiMAX adapter.

If no OPTION is specified, wimaxcu displays the help, that lists the OPTIONS without any detailed description.  Use "help" for more details.

Обратите внимание, что все команды выполняются от учетной записи root (sudo wimaxcu)

# wimaxcu pon                                    ; включить радиоканал программно (Radio On)
# wimaxcu poff                                    ; отключить радиоканал программно (Radio Off)
# wimaxcu scan wide                        ; сканировать все доступные сети
# wimaxcu connect network NN    ; соединиться с сетью WiMAX (21 - Yota, 41 - COMSTAR)
# wimaxcu activate NN                    ; активировать определенную сеть WiMAX.
# wimaxcu dconnect                         ; разорвать соединение с активной сетью WiMAX.

Как получить информацию о соединении и другие возможности:

# wimaxcu info [INFO_OPTIONS]

По умолчанию отображается информация об устройстве WiMAX.

Варианты  INFO OPTIONS:
  • version            ; Displays the version information.
  • device              ; Displays  the  device  information including the hardware name and version, software name and version, RF name and version, ASIC name and version, MAC address, hardware vendor name and hardware vendor specific information if specified.
  • stats                ; Displays the statistics data when the system is connected to WiMAX network. The statistics data includes total RX/TX bytes and total number of RX/TX packets.
  • contact <network id> ; Displays the service provider's contact information.
примеры:

root@lenovo:/home/vadim# wimaxcu info version
WiMAX Version Information
    HW Model Name:          Intel(R) WiMAX/WiFi Link 5150
    WMF Compliance Version: 3.5.2
    SW Package Version:     v1.5.1

root@lenovo:/home/vadim# wimaxcu info device
WiMAX Device Information
    Manufacturer      : Intel(R) Corporation
    HW Model          : Intel(R) WiMAX/WiFi Link 5150
    HW Version        : 778
    SW Pkg Version    : v1.5.1
    MAC Address       : 00:1D:xx:xx:xx:xx
    WMF Comp. Version : 3.5.2
NVM Image Version
    General Img Ver   : 1538
    Content Version   : 4

root@lenovo:/home/vadim# wimaxcu info stats
Statistics:
    Total RX Bytes   : 2442473 bytes
    Total TX Bytes   : 4020555 bytes
    Total RX Packets : 7463
    Total TX Packets : 8615

# wimaxcu status [STATUS_OPTIONS]

Отображает различные состояния системы. По умолчанию - system status.

Варианты  STATUS OPTIONS:

  • system            ; Display the Intel WiMAX Application Server status.
  • connect           ; Displays  the current connection status. If the system is connected to WiMAX network, it also displays the connected NSP information such as NSP ID, NSP name, RSSI, CINR, activation status, and network type.
  • link                  ; Displays the link status. If the system is connected, it displays Frequency, RSSI, CINR, average TX power, and BS ID
  • radio               ; Displays the hardware and software radio status of Intel WiMAX adapter status
  • lock                 ; Displays the service provider's device lock status.

примеры:

root@lenovo:/home/vadim# wimaxcu status system
Connected.

root@lenovo:/home/vadim# wimaxcu status connect
Connected.
Network Info:
    ID       : 41
    Name     : COMSTAR
    Realm    : wimax.comstar-uts.ru
    Signal   : Good
    RSSI     : -75 dBm
    CINR     : 12 dB
    Activated: No
    Network Type  : Home network
    Connection Time: 01:33:06

root@lenovo:/home/vadim# wimaxcu status link
Link Status:
    Frequency : 2560000 KHz
    Signal    : Good
    RSSI      : -75 dBm
    CINR      : 12 dB
    Avg TX PWR: -34 dBm
    BS ID     : 00:00:29:00:6B:03

root@lenovo:/home/vadim# wimaxcu status radio
Radio Status: HW and SW radios are ON

root@lenovo:/home/vadim# wimaxcu status lock
Lock Status: Device is unlocked.

Замечание

P.S: от Icelord: если в какой-то момент заметите, что при работе wimax наблюдается 100% загрузка CPU - проверьте /var/log/wimax на предмет файлов размером 2GB, если такие там есть: слинкуйте их с /dev/null:

ln -sf /dev/null /var/log/wimax/[file_name_of_big_log_file]

ибо разбирать эти логи все равно не будете....

Comments